DICTL(1)

NAME
dictl - wrapper script for dict that permits using utf-8 encoded dictionaries on a terminal that is not utf-8 aware.

SYNOPSIS
dictl [OPTIONS] [word]

Description
dictl calls dict with the arguments given on the command line. dictl takes the value of the environment variable DICTL_CHARSET as the user's preferred character set. If this variable is empty, dictl attempts to determine the character set to be used from the output of the locale command.

Arguments passed to dictl including word are converted from the user's preferred character set to server's character set specified by DICTL_SERVER_CHARSET variable (utf-8 if it is unset), and passed to dict. The server's output from dict is converted to the user's preferred character set.

NOTE: Because iconv omits characters from output that are invalid,
recode -f is used for character set conversions by default. If you prefer iconv, set DICTL_USE_ICONV variable to non-empty string. If you want to use konwert, set DICTL_USE_KONWERT to non-empty string.

Because recode, iconv and konwert do not support conversion to or from the "C" or "POSIX" locales, it is recommended that all users whose locale is "C" or "POSIX", set DICTL_CHARSET to "latin1" (ISO_8859-1).

OPTIONS
dictl accepts all dict options as described in dict(1).

AUTHOR
dictl was written by Aleksey Cheusov <vle@gmx.net>
This manual page was written by Robert D. Hilliard <hilliard@debian.org> and Aleksey Cheusov <vle@gmx.net>

SEE ALSO
dict(1), recode(1), iconv(1), konwert(1)